Auto Multiple Choice - Bug # 474: Erreur au démarrage d'AMC sur une installation toute fraiche
Description: Bonjour,
Sous macOS 10.12, AMC commit:f79ab494f2af.
Sur une machine ou AMC n'avait jamais été installé, aprés avoir installé AMC 2032 commit:f79ab494f2af, si jg
tente de lancer AMC, le démarrage échoue avec une erreur ligne 79 de @Config.pm@.
<pre>
zemac:~ julesverne$ auto-multiple-choice
Use of uninitialized value $AMC::Config::o_dir in mkdir at /opt/local/lib/perl5/vendor_perl/5.24/AMC/Config.pm
line 79.
Use of uninitialized value $AMC::Config::o0_dir in concatenation (.) or string at
/opt/local/lib/perl5/vendor_perl/5.24/AMC/Config.pm line 79.
Error creating : No such file or directory at /opt/local/lib/perl5/vendor_perl/5.24/AMC/Config.pm line 79.
</pre>
En fouillant un peu dans le code, je vois qu'il s'agit d'une partie de code qui va chercher les préférences et
qui n'en trouvant pas échoue a les initialiser.
J'ai testé sur une autre machine avec une installation fonctionnelle mais ou j'ai renommé le dossier
@~/.AMC.d@.
<pre>
mv ~/.AMC.d ~/AMC.d
</pre>
J'obtiens le méme résultat. Si je renomme correctement le dossier des préférences, AMC est de nouveau
fonctionnel.
Du coup, j'ai résolu le probléme en recopiant le dossier @~/.AMC.d@ sur la premiére machine.
Est-ce qu'un certain nombre de problémes sous macOS ne seraient pas liés a un probléme d'écriture des
préférences ?

History

04/10/2017 04:25 pm - Alexis Bienveniie

Pouvez-vous me dire ce que renvoient les commande suivantes sur mac ?

<pre>

perl -MGilib -le 'print Glib::get_home_dir()'

perl -MAMC::Basic -le 'print amc_user_confdir()'

</pre>

04/10/2017 05:42 pm - Joél Brogniart

<pre>

zemac:~ julesverne$ perl -MGilib -le 'print Glib::get_home_dir()'
/Users/julesverne
zemac:~ julesverne$ perl -MAMC::Basic -le 'print amc_user_confdir()'
/Users/julesverne/.AMC.d

</pre>

04/11/2017 07:57 am - Joél Brogniart
Bonjour,

J'ai fait quelques essais supplémentaires. J'ai d'abord essayé AMC 2032 commit:f79ab494f2af sous macOS 10.9.5, puis la version 2022
commit:0dd5d16af6a7 et le probléme est présent aussi.

Je suis revenu a la version 2015 commit:9b447990ee79 et 1a le probléme n'y est plus.

04/11/2017 09:40 am - Joél Brogniart
Est-ce que dans Config.pm, ligne 79
<pre>
mkdir($o_dir) or die "Error creating $o_dir : $!";

</pre>
ne devrait pas étre
<pre>
mkdir($self->{o_dir}) or die "Error creating $self->{o_dir} : $!";

</pre>

04/11/2017 09:45 am - Joél Brogniart

Et pareil pour $home_dir quelques lignes plus bas.

04/11/2017 09:51 am - Alexis Bienveniie

- Status changed from New to In Progress

Mais si, bien sdr | Merci !

commit:58f3efc30eab, commit:96450¢3913cc.

04/11/2017 10:00 am - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from In Progress to Resolved

Applied in changeset commit:58f3efc30eab.

02/08/2021 04:41 pm - Alexis Bienveniie
- Status changed from Resolved to Closed
